| v_hdmirxss1 Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiRxSs1 Struct Reference

The XVprocss driver instance data. More...

## Data Fields
XV_HdmiRxSs1_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u8 | AppMajVer
| Major Version of application used by the driver. More...
u8 | AppMinVer
| Minor Version of application used by the driver. More...
XV_HdmiRxSs1_Log | Log
| A log of events. More...
XV_HdmiRx1 * | HdmiRx1Ptr
| handle to sub-core driver instance More...
XV_HdmiRxSs1_Callback | ConnectCallback
| Callback for connect event. More...
void * | ConnectRef
| To be passed to the connect callback. More...
XV_HdmiRxSs1_Callback | BrdgOverflowCallback
         Callback for Bridge overflow
event More...
void * | BrdgOverflowRef
| To be passed to the Bridge overflow callback. More...
XV_HdmiRxSs1_Callback | AuxCallback
| Callback for AUX event. More...
void * | AuxRef
| To be passed to the AUX callback. More...
XV_HdmiRxSs1_Callback | AudCallback
| Callback for AUD event. More...
void * | AudRef
| To be passed to the AUD callback. More...
XV_HdmiRxSs1_Callback | LnkStaCallback
| Callback for LNKSTA event. More...
void * | LnkStaRef
| To be passed to the LNKSTA callback. More...
XV_HdmiRxSs1_Callback | DdcCallback
| Callback for PDDC event. More...
void * | DdcRef
| To be passed to the DDC callback. More...
XV_HdmiRxSs1_Callback | StreamDownCallback
| Callback for stream down event. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiRxSs1_Callback | StreamInitCallback
| Callback for stream init event. More...
void * | StreamInitRef
| To be passed to the stream init callback. More...
XV_HdmiRxSs1_Callback | StreamUpCallback
| Callback for stream up event. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_HdmiRxSs1_Callback | HdcpCallback
| Callback for HDCP 1.4 event. More...
void * | HdcpRef
| To be passed to the hdcp callback. More...
XV_HdmiRxSs1_Callback | TmdsClkRatioCallback
| Callback for scdc TMDS clock ratio change callback. More...
void * | TmdsClkRatioRef
| To be passed to the scdc tmds clock ratio change callback. More...
XV_HdmiRxSs1_Callback | VicErrorCallback
| Callback for VIC error detection. More...
void * | VicErrorRef
| To be passed to the VIC error callback. More...
XV_HdmiRxSs1_Callback | VidRdyErrorCallback
| Callback for Video Ready Error detection. More...
void * | VidRdyErrorRef
| To be passed to the video ready error callback. More...
XV_HdmiRxSs1_LogCallback | LogWriteCallback
| Callback for log write. More...
u8 * | LogWriteRef
| To be passed to the log write callback. More...
XV_HdmiRxSs1_Callback | PhyResetCallback
| Callback for config retry. More...
void * | PhyResetRef
| To be passed to the log write callback. More...
XV_HdmiRxSs1_Callback | FrlConfigCallback
| Callback for stream up. More...
void * | FrlConfigRef
| To be passed to the stream up callback. More...
XV_HdmiRxSs1_Callback | FrlStartCallback
| Callback for stream up. More...
void * | FrlStartRef
| To be passed to the stream up callback. More...
XV_HdmiRxSs1_Callback | TmdsConfigCallback
| Callback for stream up. More...
void * | TmdsConfigRef
| To be passed to the stream up callback. More...
XV_HdmiRxSs1_Callback | FrlLtsLCallback
| Callback for FRL LTS:L. More...
void * | FrlLtsLRef
| To be passed to FRL LTS:L callback. More...
XV_HdmiRxSs1_Callback | FrlLts1Callback
| Callback for FRL LTS:1. More...
void * | FrlLts1Ref
| To be passed to FRL LTS:1 callback. More...
XV_HdmiRxSs1_Callback | FrlLts2Callback
| Callback for FRL LTS:2. More...
void * | FrlLts2Ref
| To be passed to FRL LTS:2 callback. More...
XV_HdmiRxSs1_Callback | FrlLts3Callback
| Callback for FRL LTS:3. More...
void * | FrlLts3Ref
| To be passed to FRL LTS:3 callback. More...
XV_HdmiRxSs1_Callback | FrlLts4Callback
| Callback for FRL LTS:4. More...
void * | FrlLts4Ref
| To be passed to FRL LTS:4 callback. More...
XV_HdmiRxSs1_Callback | FrlLtsPCallback
| Callback for FRL LTS:P. More...
void * | FrlLtsPRef
| To be passed to FRL LTS:P callback. More...
XV_HdmiRxSs1_Callback | VfpChangeCallback
| Callback for vfp change event. More...
void * | VfpChangeRef
| To be passed to vfp change event callback. More...
XV_HdmiRxSs1_Callback | VrrRdyCallback
| Callback for Vrr Ready event. More...
void * | VrrRdyRef
| To be passed to Vrr Ready event callback. More...
XV_HdmiRxSs1_Callback | DynHdrCallback
| Callback for Dynamic HDR event. More...
void * | DynHdrRef
| To be passed to Dynamic HDR event callback. More...
XV_HdmiRxSs1_Callback | DSCStreamChangeEventCallback
| Callback for DSC stream change event. More...
void * | DSCStrmChgEvtRef
| To be passed to DSC Stream change event callback. More...
XV_HdmiRxSs1_Callback | DSCPktErrCallback
| Callback for DSC PPS packet error event. More...
void * | DSCPktErrRef
| To be passed to DSC PPS packet error event callback. More...
XV_HdmiRxSs1_Callback | DSCStsUpdtEvtCallback
| Callback for SCDC reg 0x10 bit 0 Status_Update bit set from Source event. More...
void * | DSCStsUpdtEvtRef
| To be passed to Status_Update bit set event callback. More...
u8 | IsStreamConnected
| HDMI RX Stream Connected. More...
u8 | IsStreamUp
| HDMI RX Stream Up. More...
u8 | AudioChannels
| Number of Audio Channels. More...
int | IsLinkStatusErrMax
| Link Error Status Maxed. More...
u8 * | EdidPtr
| Default Edid Pointer. More...
u16 | EdidLength
| Default Edid Length. More...
u8 | TMDSClockRatio
| HDMI RX TMDS clock ratio. More...
u8 | EnableHDCPLogging
| HDCP Logging Enabling. More...
u8 | EnableHDMILogging
| HDMI Logging Enabling. More...
XHdmiC_AVI_InfoFrame | AVIInfoframe
| AVI InfoFrame. More...
XHdmiC_GeneralControlPacket | GCP
| General Control Packet. More...
XHdmiC_AudioInfoFrame | AudioInfoframe
| Audio InfoFrame. More...
XHdmiC_VSIF | VSIF
| Vendor Specific InfoFrame. More...
XHdmiC_DRMInfoFrame | DrmInfoframe
| Static HDR infoframe. More...
XVidC_DelayHandler | UserTimerWaitUs
| Custom user function for delay/sleep. More...
void * | UserTimerPtr
| Pointer to a timer instance used by the custom user delay/sleep function. More...
XV_HdmiRxSs1_HdcpProtocol | HdcpProtocol
| HDCP protocol selected. More...

## Detailed Description

The XVprocss driver instance data.

The user is required to allocate a variable of this type for every XVprocss device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u8 XV_HdmiRxSs1::AppMajVer

Major Version of application used by the driver.

Referenced by XV_HdmiRxSs1_CfgInitialize(), and XV_HdmiRxSS1_SetAppVersion().

u8 XV_HdmiRxSs1::AppMinVer

Minor Version of application used by the driver.

Referenced by XV_HdmiRxSs1_CfgInitialize(), and XV_HdmiRxSS1_SetAppVersion().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::AudCallback

Callback for AUD event.

Referenced by XV_HdmiRxSs1_SetCallback().

u8 XV_HdmiRxSs1::AudioChannels

Number of Audio Channels.

Referenced by XV_HdmiRxSs1_GetAudioChannels().

XHdmiC_AudioInfoFrame XV_HdmiRxSs1::AudioInfoframe

Audio InfoFrame.

Referenced by XV_HdmiRxSs1_GetAudioInfoframe().

void* XV_HdmiRxSs1::AudRef

To be passed to the AUD callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::AuxCallback

Callback for AUX event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::AuxRef

To be passed to the AUX callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XHdmiC_AVI_InfoFrame XV_HdmiRxSs1::AVIInfoframe

AVI InfoFrame.

Referenced by XV_HdmiRxSs1_GetAviInfoframe().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::BrdgOverflowCallback

         Callback for Bridge overflow

event

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::BrdgOverflowRef

To be passed to the Bridge overflow callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Config XV_HdmiRxSs1::Config

Hardware configuration.

Referenced by XV_HdmiRxSs1_CfgInitialize(), XV_HdmiRxSs1_DynHDR_DM_Disable(), XV_HdmiRxSs1_DynHDR_DM_Enable(), XV_HdmiRxSs1_DynHDR_GetInfo(), XV_HdmiRxSs1_DynHDR_SetAddr(), XV_HdmiRxSs1_SetDefaultPpc(), XV_HdmiRxSs1_SetPpc(), XV_HdmiRxSs1_SetStream(), and XV_HdmiRxSs1_SubcoreInitHdmiRx1().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::ConnectCallback

Callback for connect event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::ConnectRef

To be passed to the connect callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::DdcCallback

Callback for PDDC event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::DdcRef

To be passed to the DDC callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XHdmiC_DRMInfoFrame XV_HdmiRxSs1::DrmInfoframe

Static HDR infoframe.

Referenced by XV_HdmiRxSs1_GetDrmInfoframe().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::DSCPktErrCallback

Callback for DSC PPS packet error event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::DSCPktErrRef

To be passed to DSC PPS packet error event callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::DSCStreamChangeEventCallback

Callback for DSC stream change event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::DSCStrmChgEvtRef

To be passed to DSC Stream change event callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::DSCStsUpdtEvtCallback

Callback for SCDC reg 0x10 bit 0 Status_Update bit set from Source event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::DSCStsUpdtEvtRef

To be passed to Status_Update bit set event callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::DynHdrCallback

Callback for Dynamic HDR event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::DynHdrRef

To be passed to Dynamic HDR event callback.

Referenced by XV_HdmiRxSs1_SetCallback().

u16 XV_HdmiRxSs1::EdidLength

Default Edid Length.

Referenced by XV_HdmiRxSs1_LoadDefaultEdid(), XV_HdmiRxSs1_SetEdidParam(), and XV_HdmiRxSs1_SubcoreInitHdmiRx1().

u8* XV_HdmiRxSs1::EdidPtr

Default Edid Pointer.

Referenced by XV_HdmiRxSs1_LoadDefaultEdid(), XV_HdmiRxSs1_SetEdidParam(), and XV_HdmiRxSs1_SubcoreInitHdmiRx1().

u8 XV_HdmiRxSs1::EnableHDCPLogging

HDCP Logging Enabling.

Referenced by Info(), and XV_HdmiRxSs1_CfgInitialize().

u8 XV_HdmiRxSs1::EnableHDMILogging

HDMI Logging Enabling.

Referenced by XV_HdmiRxSs1_CfgInitialize().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlConfigCallback

Callback for stream up.

Referenced by XV_HdmiRxSs1_FrlConfigCallback(), and XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::FrlConfigRef

To be passed to the stream up callback.

Referenced by XV_HdmiRxSs1_FrlConfigCallback(), and XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLts1Callback

Callback for FRL LTS:1.

void* XV_HdmiRxSs1::FrlLts1Ref

To be passed to FRL LTS:1 callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLts2Callback

Callback for FRL LTS:2.

void* XV_HdmiRxSs1::FrlLts2Ref

To be passed to FRL LTS:2 callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLts3Callback

Callback for FRL LTS:3.

void* XV_HdmiRxSs1::FrlLts3Ref

To be passed to FRL LTS:3 callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLts4Callback

Callback for FRL LTS:4.

void* XV_HdmiRxSs1::FrlLts4Ref

To be passed to FRL LTS:4 callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLtsLCallback

Callback for FRL LTS:L.

void* XV_HdmiRxSs1::FrlLtsLRef

To be passed to FRL LTS:L callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlLtsPCallback

Callback for FRL LTS:P.

void* XV_HdmiRxSs1::FrlLtsPRef

To be passed to FRL LTS:P callback.

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::FrlStartCallback

Callback for stream up.

Referenced by XV_HdmiRxSs1_FrlStartCallback(), and XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::FrlStartRef

To be passed to the stream up callback.

Referenced by XV_HdmiRxSs1_FrlStartCallback(), and XV_HdmiRxSs1_SetCallback().

XHdmiC_GeneralControlPacket XV_HdmiRxSs1::GCP

General Control Packet.

Referenced by XV_HdmiRxSs1_GetGCP().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::HdcpCallback

Callback for HDCP 1.4 event.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_HdcpProtocol XV_HdmiRxSs1::HdcpProtocol

HDCP protocol selected.

void* XV_HdmiRxSs1::HdcpRef

To be passed to the hdcp callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRx1* XV_HdmiRxSs1::HdmiRx1Ptr

handle to sub-core driver instance

Referenced by DetailedInfo(), XV_HdmiRxSs1_AudioMute(), XV_HdmiRxSs1_CfgInitialize(), XV_HdmiRxSs1_DdcRegDump(), XV_HdmiRxSs1_DebugInfo(), XV_HdmiRxSs1_DynHDR_DM_Disable(), XV_HdmiRxSs1_DynHDR_DM_Enable(), XV_HdmiRxSs1_DynHDR_GetInfo(), XV_HdmiRxSs1_DynHDR_SetAddr(), XV_HdmiRxSs1_GetAudioAcrCtsVal(), XV_HdmiRxSs1_GetAudioAcrNVal(), XV_HdmiRxSs1_GetAudioFormat(), XV_HdmiRxSs1_GetAuxiliary(), XV_HdmiRxSs1_GetCorePpc(), XV_HdmiRxSs1_GetTransportMode(), XV_HdmiRxSs1_GetVideoIDCode(), XV_HdmiRxSs1_GetVideoStream(), XV_HdmiRxSs1_GetVideoStreamScramblingFlag(), XV_HdmiRxSs1_GetVideoStreamType(), XV_HdmiRxSs1_GetVrrIf(), XV_HdmiRxSS1_HdmiRxIntrHandler(), XV_HdmiRxSs1_LoadDefaultEdid(), XV_HdmiRxSs1_LoadEdid(), XV_HdmiRxSs1_RefClockChangeInit(), XV_HdmiRxSs1_RegisterDebug(), XV_HdmiRxSs1_ReportAudio(), XV_HdmiRxSs1_ReportCoreInfo(), XV_HdmiRxSs1_ReportInfoFrame(), XV_HdmiRxSs1_ReportLinkQuality(), XV_HdmiRxSs1_ReportSubcoreVersion(), XV_HdmiRxSs1_ReportTiming(), XV_HdmiRxSs1_RXCore_LRST(), XV_HdmiRxSs1_RXCore_VRST(), XV_HdmiRxSs1_SetHpd(), XV_HdmiRxSs1_SetStream(), XV_HdmiRxSs1_Start(), XV_HdmiRxSs1_Stop(), XV_HdmiRxSs1_SubcoreInitHdmiRx1(), XV_HdmiRxSs1_SYSRST(), XV_HdmiRxSs1_ToggleHpd(), XV_HdmiRxSs1_VfpControl(), and XV_HdmiRxSs1_VRST().

int XV_HdmiRxSs1::IsLinkStatusErrMax

Link Error Status Maxed.

u32 XV_HdmiRxSs1::IsReady

Device and the driver instance are initialized.

Referenced by XV_HdmiRxSs1_CfgInitialize().

u8 XV_HdmiRxSs1::IsStreamConnected

HDMI RX Stream Connected.

Referenced by Exdes_CheckforResChange(), and XV_HdmiRxSs1_IsStreamConnected().

u8 XV_HdmiRxSs1::IsStreamUp

HDMI RX Stream Up.

Referenced by XV_HdmiRxSs1_IsStreamUp().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::LnkStaCallback

Callback for LNKSTA event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::LnkStaRef

To be passed to the LNKSTA callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Log XV_HdmiRxSs1::Log

A log of events.

Referenced by XV_HdmiRxSs1_LogDisplay(), XV_HdmiRxSs1_LogRead(), XV_HdmiRxSs1_LogReset(), and XV_HdmiRxSs1_LogWrite().

XV_HdmiRxSs1_LogCallback XV_HdmiRxSs1::LogWriteCallback

Callback for log write.

Referenced by XV_HdmiRxSs1_LogDisplay(), XV_HdmiRxSs1_LogWrite(), and XV_HdmiRxSs1_SetLogCallback().

u8* XV_HdmiRxSs1::LogWriteRef

To be passed to the log write callback.

Referenced by XV_HdmiRxSs1_LogWrite(), and XV_HdmiRxSs1_SetLogCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::PhyResetCallback

Callback for config retry.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::PhyResetRef

To be passed to the log write callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::StreamDownCallback

Callback for stream down event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::StreamInitCallback

Callback for stream init event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::StreamInitRef

To be passed to the stream init callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::StreamUpCallback

Callback for stream up event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::TmdsClkRatioCallback

Callback for scdc TMDS clock ratio change callback.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::TmdsClkRatioRef

To be passed to the scdc tmds clock ratio change callback.

Referenced by XV_HdmiRxSs1_SetCallback().

u8 XV_HdmiRxSs1::TMDSClockRatio

HDMI RX TMDS clock ratio.

Referenced by XV_HdmiRxSs1_RefClockChangeInit().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::TmdsConfigCallback

Callback for stream up.

Referenced by XV_HdmiRxSs1_SetCallback(), and XV_HdmiRxSs1_TmdsConfigCallback().

void* XV_HdmiRxSs1::TmdsConfigRef

To be passed to the stream up callback.

Referenced by XV_HdmiRxSs1_SetCallback(), and XV_HdmiRxSs1_TmdsConfigCallback().

void* XV_HdmiRxSs1::UserTimerPtr

Pointer to a timer instance used by the custom user delay/sleep function.

Referenced by XV_HdmiRxSs1_SetUserTimerHandler().

XVidC_DelayHandler XV_HdmiRxSs1::UserTimerWaitUs

Custom user function for delay/sleep.

Referenced by XV_HdmiRxSs1_SetUserTimerHandler().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::VfpChangeCallback

Callback for vfp change event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::VfpChangeRef

To be passed to vfp change event callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::VicErrorCallback

Callback for VIC error detection.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::VicErrorRef

To be passed to the VIC error callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::VidRdyErrorCallback

Callback for Video Ready Error detection.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::VidRdyErrorRef

To be passed to the video ready error callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XV_HdmiRxSs1_Callback XV_HdmiRxSs1::VrrRdyCallback

Callback for Vrr Ready event.

Referenced by XV_HdmiRxSs1_SetCallback().

void* XV_HdmiRxSs1::VrrRdyRef

To be passed to Vrr Ready event callback.

Referenced by XV_HdmiRxSs1_SetCallback().

XHdmiC_VSIF XV_HdmiRxSs1::VSIF

Vendor Specific InfoFrame.

Referenced by XV_HdmiRxSs1_GetVSIF().